<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:questions="http://typo3.org/ns/CodingMs/Questions/ViewHelpers"
	  data-namespace-typo3-fluid="true" lang="en">
<f:layout name="Default" />
<f:section name="Default">
	<f:flashMessages />

	<f:if condition="{settings.list.filter}">
		<div class="card mb-5 questions-filter"
			 style="display:none">
			<div class="card-body">
				<h2 class="card-title">Questions filter</h2>
				<form>
					<div class="form-row">
						<div class="form-group col-md-6">
							<label for="question-search-word">Suche nach</label>
							<f:form.textfield name="search-word"
											  value=""
											  class="form-control"
											  id="question-search-word" />
						</div>
						<div class="form-group col-md-6">
							<label for="question-category">Category</label>
							<f:form.select name="category"
										   options="{questionCategories}"
										   id="question-category"
										   prependOptionValue=""
										   prependOptionLabel="Select a category"
										   class="form-control"
										   optionLabelField="title" />
						</div>
					</div>
				</form>
			</div>
		</div>
	</f:if>

	<f:if condition="{f:count(subject: questions)} == 1">
		<f:then>
			<h2>
				<span class="question-list-item-count-label">Suchergebnis: </span>
				<span class="question-list-item-count">{f:count(subject: questions)}</span>
				<span class="question-list-item-count-singular"> Frage</span>
				<span class="question-list-item-count-plural" style="display:none"> Fragen</span>
			</h2>
		</f:then>
		<f:else>
			<h2>
				<span class="question-list-item-count-label">Suchergebnis: </span>
				<span class="question-list-item-count">{f:count(subject: questions)}</span>
				<span class="question-list-item-count-singular" style="display:none"> Frage</span>
				<span class="question-list-item-count-plural"> Fragen</span>
			</h2>
		</f:else>
	</f:if>


	<ul class="question-list-message-no-result typo3-messages" style="display:none">
		<li class="alert alert-danger">
			<h4 class="alert-title">Es konnten keine Fragen gefunden werden!</h4>
			<p class="alert-message">Bitte geben Sie andere Suchparameter ein. Folgend erhalten Sie alle vorhandenen Fragen.</p>
		</li>
	</ul>


	<div class="questions" data-scroll-to-offset="{settings.list.scrollToOffset}">
		<f:for each="{questions}" as="question">

			<f:switch expression="{question.template}">
				<f:case value="WithSingleView">

					<div class="question card mb-4"
						 data-category="{question.categoryUidsCommaSeparated}"
						 data-search-word="{question.question}"
						 itemscope
						 itemtype="http://schema.org/Question">
						<div class="card-body">
							<f:link.action arguments="{question: question}"
										   action="show"
										   pageUid="{settings.detail.pageUid}"
										   title="{question.question}">
								<h3 class="card-title" itemprop="name">{question.question}</h3>
							</f:link.action>
						</div>
					</div>

				</f:case>
				<f:defaultCase>

					<div class="question card mb-4"
						 data-category="{question.categoryUidsCommaSeparated}"
						 data-search-word="{question.question}"
						 itemscope
						 itemtype="http://schema.org/Question">
						<div class="card-body">
							<h3 class="card-title" itemprop="name">{question.question}</h3>

							<f:if condition="{question.markdown}">
								<f:then>
									<questions:extension.loaded extensionName="ParsedownExtra">
										<f:then>
											<div class="question-answer tx-parsedown-extra"
												 itemprop="acceptedAnswer"
												 itemscope
												 itemtype="http://schema.org/Answer">
												<div itemprop="text">
													<f:format.raw><questions:parsedown.markdown markdown="{question.markdown}" /></f:format.raw>
												</div>
											</div>
										</f:then>
										<f:else>
											<div class="alert alert-danger">EXT:parsedown_extra required!</div>
										</f:else>
									</questions:extension.loaded>
								</f:then>
								<f:else>
									<div class="question-answer"
										 itemprop="acceptedAnswer"
										 itemscope
										 itemtype="http://schema.org/Answer">
										<div itemprop="text">
											<f:format.html>{question.answer}</f:format.html>
										</div>
									</div>
								</f:else>
							</f:if>

						</div>
						<div class="card-footer">
							Categories: {question.categoryTitlesCommaSeparated}
						</div>
					</div>

				</f:defaultCase>
			</f:switch>

		</f:for>
	</div>

	<f:comment><!-- JavaScript generated pagination --></f:comment>
	<f:if condition="{settings.list.pagination}">
		<div class="question-list-pagination row" style="display:none" data-items-per-page="{settings.list.limit}">
			<div class="col-md-4">
				<div class="pages"> Seite <span class="current">1</span> von <span class="all">9</span>. </div>
			</div>
			<div class="col-md-8">
				<nav aria-label="Questions navigation" class="float-right">
					<ul class="pagination flex-wrap">
						<li class="page-item previous">
							<a class="page-link" href="#" aria-label="Previous page" title="Previous page">
								<span aria-hidden="true">&laquo;</span>
								<span class="sr-only">Previous</span>
							</a>
						</li>
						<li class="page-item template" style="display:none"><a class="page-link" href="#"></a></li>
						<li class="page-item next">
							<a class="page-link" href="#" aria-label="Next page" title="Next page">
								<span aria-hidden="true">&raquo;</span>
								<span class="sr-only">Next</span>
							</a>
						</li>
					</ul>
				</nav>
			</div>
		</div>
	</f:if>

</f:section>
</html>
